uses
  cfIBUtils, unDM, need,
  IBQuery, DB, IBDataBase, Windows, Classes;

procedure CreateTask(trn: TIBTransaction; task_type: string; SENDDATA: string);
var q: TIBQuery;
begin
  q:=CreateIBQueryTrn(trn, nil);
 try
  q.SQL.Text:='insert into I_ORDER_TASKS (TASK_TYPE, SENDDATA, STATUS) values (:TASK_TYPE, :SENDDATA, 0)';
  q.Prepare;
  q.ParamByName('TASK_TYPE').Value:=TASK_TYPE;
  q.ParamByName('SENDDATA').Value:=SENDDATA;
  q.ExecSQL;
 finally
  q.Free;
 end;
end;

function StrToJSON(s: string): string;
begin
  result:=stringreplace(trim(s),chr($8),'\b',1); //  \b  Backspace (ascii code 08)
  result:=stringreplace(result,chr($C),'\f',1); //  \f  Form feed (ascii code 0C)
  result:=stringreplace(result,chr(13),'\n',1); //  \n  New line
  result:=stringreplace(result,chr(10),'\r',1); //  \r  Carriage return
  result:=stringreplace(result,chr(9),'\t',1); //  \t  Tab
  result:=stringreplace(result,'\','\\',1); //  \\  Backslash character
  result:=stringreplace(result,'"','\"',1); //  \"  Double quote
end;

procedure MA_TASK_STATUS_ORDER(trn: TIBTransaction; order_id: int64; STATUS: integer; cancel_reason: string);
var sendata: string;
begin
{POST /exch/v4/orders -H auth_token

*list:
  - *id: <integer> #    
    external_id: <string> #    (  ,     )
    status_id: <integer> #  
                         # 2 - 
                         # 3 - 
                         # 5 -   
                         # 6 - 
                         # 7 -   (  )
    cancel_reason: <string> #  
    reservation_end_date: <integer> #          (unix timestamp)
    *items: # . ,   status_id=7
      - *id: <integer> #  
        *quantity: <integer> #  
}
end;

procedure MA_TASK_MARK_ORDER(trn: TIBTransaction; order_id: int64);
begin

end;


